org.apache.struts2.jasper

## Interface Options

- All Known Implementing Classes:
    EmbeddedServletOptions, JspC

      public interface Options

  A class to hold all init parameters specific to the JSP engine.
  Author:
    Anil K. Vijendran, Hans Bergsten, Pierre Delisle

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `genStringAsCharArray()`
    `Map` | `getCache()` The web-application wide cache for the returned TreeNode by parseXMLDocument in TagLibraryInfoImpl.parseTLD, if isCaching returns true.
    `int` | `getCheckInterval()`
    `boolean` | `getClassDebugInfo()`
    `String` | `getClassPath()`
    `String` | `getCompiler()`
    `String` | `getCompilerClassName()`
    `String` | `getCompilerSourceVM()`
    `String` | `getCompilerTargetVM()`
    `boolean` | `getDevelopment()`
    `boolean` | `getDisplaySourceFragment()`
    `boolean` | `getErrorOnUseBeanInvalidClassAttribute()`
    `boolean` | `getFork()`
    `String` | `getIeClassId()`
    `String` | `getJavaEncoding()`
    `JspConfig` | `getJspConfig()`
    `boolean` | `getKeepGenerated()`
    `boolean` | `getMappedFile()`
    `int` | `getModificationTestInterval()`
    `File` | `getScratchDir()`
    `TagPluginManager` | `getTagPluginManager()`
    `TldLocationsCache` | `getTldLocationsCache()` The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application.
    `boolean` | `getTrimSpaces()`
    `boolean` | `isCaching()`
    `boolean` | `isPoolingEnabled()`
    `boolean` | `isSmapDumped()`
    `boolean` | `isSmapSuppressed()`
    `boolean` | `isXpoweredBy()`

- - ### Method Detail

    - #### getErrorOnUseBeanInvalidClassAttribute

          boolean getErrorOnUseBeanInvalidClassAttribute()

      Returns:
        true if Jasper issues a compilation error instead of a runtime Instantiation error if the class attribute specified in useBean action is invalid.

    - #### getKeepGenerated

          boolean getKeepGenerated()

      Returns:
        Are we keeping generated code around?

    - #### isPoolingEnabled

          boolean isPoolingEnabled()

      Returns:
        true if tag handler pooling is enabled, false otherwise.

    - #### getMappedFile

          boolean getMappedFile()

      Returns:
        Are we supporting HTML mapped servlets?

    - #### getClassDebugInfo

          boolean getClassDebugInfo()

      Returns:
        Should we include debug information in compiled class?

    - #### getCheckInterval

          int getCheckInterval()

      Returns:
        Background compile thread check interval in seconds

    - #### getDevelopment

          boolean getDevelopment()

      Returns:
        Is Jasper being used in development mode?

    - #### getDisplaySourceFragment

          boolean getDisplaySourceFragment()

      Returns:
        Should we include a source fragment in exception messages, which could be displayed to the developer ?

    - #### isSmapSuppressed

          boolean isSmapSuppressed()

      Returns:
        Is the generation of SMAP info for JSR45 debugging suppressed?

    - #### isSmapDumped

          boolean isSmapDumped()

      Returns:
        Indicates whether SMAP info for JSR45 debugging should be dumped to a file. Ignored is suppressSmap() is true

    - #### getTrimSpaces

          boolean getTrimSpaces()

      Returns:
        Should white spaces between directives or actions be trimmed?

    - #### getIeClassId

          String getIeClassId()

      Returns:
        Class ID for use in the plugin tag when the browser is IE.

    - #### getScratchDir

          File getScratchDir()

      Returns:
        What is my scratch dir?

    - #### getClassPath

          String getClassPath()

      Returns:
        What classpath should I use while compiling the servlets generated from JSP files?

    - #### getCompiler

          String getCompiler()

      Returns:
        Compiler to use.

    - #### getCompilerTargetVM

          String getCompilerTargetVM()

      Returns:
        The compiler target VM, e.g. 1.1, 1.2, 1.3, 1.4, or 1.5.

    - #### getCompilerSourceVM

          String getCompilerSourceVM()

      Returns:
        Compiler source VM, e.g. 1.3, 1.4, or 1.5.

    - #### getCompilerClassName

          String getCompilerClassName()

      Returns:
        Java compiler class to use.

    - #### getTldLocationsCache

          TldLocationsCache getTldLocationsCache()

      The cache for the location of the TLD's for the various tag libraries 'exposed' by the web application. A tag library is 'exposed' either explicitely in web.xml or implicitely via the uri tag in the TLD of a taglib deployed in a jar file (WEB-INF/lib).
      Returns:
        the instance of the TldLocationsCache for the web-application.

    - #### getJavaEncoding

          String getJavaEncoding()

      Returns:
        Java platform encoding to generate the JSP page servlet.

    - #### getFork

          boolean getFork()

      Returns:
        boolean flag to tell Ant whether to fork JSP page compilations.

    - #### getJspConfig

          JspConfig getJspConfig()

      Returns:
        Obtain JSP configuration information specified in web.xml.

    - #### isXpoweredBy

          boolean isXpoweredBy()

      Returns:
        Is generation of X-Powered-By response header enabled/disabled?

    - #### getTagPluginManager

          TagPluginManager getTagPluginManager()

      Returns:
        Obtain a Tag Plugin Manager

    - #### genStringAsCharArray

          boolean genStringAsCharArray()

      Returns:
        Are Text strings to be generated as char arrays?

    - #### getModificationTestInterval

          int getModificationTestInterval()

      Returns:
        Modification test interval.

    - #### isCaching

          boolean isCaching()

      Returns:
        Is caching enabled (used for precompilation).

    - #### getCache

          Map getCache()

      The web-application wide cache for the returned TreeNode by parseXMLDocument in TagLibraryInfoImpl.parseTLD, if isCaching returns true.
      Returns:
        the Map(String uri, TreeNode tld) instance.

Copyright © 2000–2022 Apache Software Foundation. All rights reserved.